Package org.eclipse.rdf4j.spin.function

## Class ConstructTupleFunction

- java.lang.Object
- - org.eclipse.rdf4j.spin.function.AbstractSpinFunction
  - - org.eclipse.rdf4j.spin.function.ConstructTupleFunction

- All Implemented Interfaces:
    `TupleFunction`

      public class ConstructTupleFunction
      extends AbstractSpinFunction
      implements TupleFunction

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstructTupleFunction()` |
    `ConstructTupleFunction​(SpinParser parser)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CloseableIteration<? extends List<? extends Value>,​QueryEvaluationException>` | `evaluate​(ValueFactory valueFactory, Value... args)` |
    `SpinParser` | `getSpinParser()` |
    `void` | `setSpinParser​(SpinParser parser)` |

    - ### Methods inherited from class org.eclipse.rdf4j.spin.function.AbstractSpinFunction

      `addBindings, getCurrentQueryPreparer, getQueryPreparer, getURI, setQueryPreparer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.TupleFunction

      `getURI`

- - ### Constructor Detail

    - #### ConstructTupleFunction

          public ConstructTupleFunction()

    - #### ConstructTupleFunction

          public ConstructTupleFunction​(SpinParser parser)

  - ### Method Detail

    - #### getSpinParser

          public SpinParser getSpinParser()

    - #### setSpinParser

          public void setSpinParser​(SpinParser parser)

    - #### evaluate

          public CloseableIteration<? extends List<? extends Value>,​QueryEvaluationException> evaluate​(ValueFactory valueFactory,
                                                                                                             Value... args)
                                                                                                      throws QueryEvaluationException

      Specified by:
        `evaluate` in interface `TupleFunction`
      Throws:
        `QueryEvaluationException`